package io.takima.agencymanagement.model;

public enum Airport {

    PARIS_CHARLES_DE_GAULLE("CDG"),
    PARIS_ORLY("ORY"),
    NEW_YORK_JFK("JFK"),
    NEW_YORK_NEWARK("EWR"),
    NEW_YORK_LAGUARDIA("LGA"),
    TOKYO_NARITA("NRT"),
    TOKYO_HANEDA("HND");

    private final String acronym;

    Airport(String acronym){
        this.acronym = acronym;
    }

    public String getAcronym() {
        return acronym;
    }
}
