package io.takima.agencymanagement.utils;

import io.takima.agencymanagement.model.Airport;

import java.util.HashMap;
import java.util.Map;

public class AirportManager {

    public static final Map<Airport, String> timeZone = new HashMap<>();

    static {
        timeZone.put(Airport.PARIS_CHARLES_DE_GAULLE, "Europe/Paris");
        timeZone.put(Airport.PARIS_ORLY, "Europe/Paris");
        timeZone.put(Airport.NEW_YORK_JFK, "America/New_York");
        timeZone.put(Airport.NEW_YORK_NEWARK, "America/New_York");
        timeZone.put(Airport.NEW_YORK_LAGUARDIA, "America/New_York");
        timeZone.put(Airport.TOKYO_NARITA, "Asia/Tokyo");
        timeZone.put(Airport.TOKYO_HANEDA, "Asia/Tokyo");
    }




}
