package io.takima.agencymanagement.model;

public class PercentDiscount implements Discount{

    private double percent;

    public PercentDiscount(int percent) {
        this.percent = percent;
    }

    @Override
    public double apply(double price) {
        return price * (1 - (percent / 100));
    }
}
